package com.goldenwater.hzz.mapper;

import com.goldenwater.hzz.domain.*;
import org.apache.ibatis.annotations.Param;
import java.util.List;

public interface AssessMapper {
    List<AssessScoreDTO> getTotalScore(@Param("adCode") String adCode, @Param("assTime") String at, @Param("effDate") String ed);
    List<AssessScoreDTO> getMthNameAndScore(@Param("adCode") String adCode, @Param("assTime") String at, @Param("effDate") String ed);
    List<AssessFileDTO> getMethodFile(@Param("adCode") String adCode, @Param("effDate") String ed);
    List<AssessFileDTO> getAttFileText(@Param("mdCode") String mc, @Param("effDate") String ed, @Param("exprDate") String xd);
}
